Create Courses
Endpoint used to create new courses for your institution in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request POST \ --url 'https://kong.api.toolzz.com.br/api/content/course/new_course' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "<string>", "long_description": "<string>", "description_visibility": 1, "type": 2, "group": "<string>", "school": "<string>", "teachers": "<string>" }'Response Example
Section titled “Response Example”{ "data": { "id": 123, "title": "<string>", "status": 1 }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
title | string | Course title. Maximum of 50 characters. | Yes |
long_description | string | Course description. Maximum of 7000 characters. | Yes |
description_visibility | int | Show description. 0: Hidden. 1: Visible. | Yes |
type | int | 1: Curricular component. 2: Free course. | Yes |
group | string | Array of groups by name — enter names comma-separated (e.g., “group1,group2”). | Yes |
school | string | Subdomains of schools where the course will be available. Comma-separated. | Yes |
teachers | string | ID or email of teachers linked to the course. Comma-separated. | Yes |
subgroup | array | Array of subgroups by name, comma-separated. | No |
specialty | array | Array of specialties by name, comma-separated. | No |
tag | array | Tags related to the course, comma-separated. | No |
difficulty | string | Difficulty level: low, medium, or hard. | No |
cover | string | Image with a maximum size of 4096KB in jpeg, png, or jpg format. Alternatively, a hosted image link in the same formats. If not provided, the institution logo will be used. | No |
status | int | Course status. 0: Draft. 1: Published. | No |
visibility | int | 0: Public. 1: Private. | No |
price | int | Course price for sales. | No |
type_certification | int | Certificate type. 1: Participation. 2: Achievement. | No |
text_max_attempts | int | Maximum attempts for course exams. Allowed values: 1, 2, 3, 4, 5, 50, 100, or 200. | No |
cutout_rate | string | Minimum passing grade. | No |
link_checkout | string | URL for checkout redirect. | No |
scheduled_start | date | Course start date, must be equal to or after the current date. | No |
scheduled_end | date | Course end date, must be after the start date. | No |
hour_length | int | Course duration in minutes. | No |
certification | string | Certificate used in the course. Maximum of 255 characters for name or certificate ID. | No |
secondary_certification | string | Secondary certificate used in the course. Maximum of 255 characters for name or certificate ID. | No |
loading_type | int | Content loading type. 1: By content. 2: By class. | No |
co_author | string | Course co-author. Maximum of 255 characters. | No |
badge | string | Badge. Maximum of 255 characters for name or badge ID. | No |
class_ids | string | Class IDs, comma-separated. E.g., “12345, 16789, 10123”. | No |
class_type | string | Type of class to be created. “2”: Filter. “4”: Component. | No |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.